Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518454 - Adding a flavor via CloudForms the flavor is not seen by CloudForms
Summary: Adding a flavor via CloudForms the flavor is not seen by CloudForms
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.5
Assignee: Marek Aufart
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1595269
TreeView+ depends on / blocked
 
Reported: 2017-11-28 23:23 UTC by Brant Evans
Modified: 2018-08-08 19:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 19:24:25 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3435161 None None None 2018-05-08 06:46:30 UTC

Description Brant Evans 2017-11-28 23:23:08 UTC
Description of problem:
Adding a new Flavor in Compute > Clouds > Flavors succeeds, but a manual provider refresh has to be invoked for CloudForms to see the newly added flavor.

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Compute > Clouds > Flavors
2. Select Configuration -> Add a new Flavor
3. Fill out the form and click Add

Actual results:
The flavor is added, but is not seen in CloudForms

Expected results:
The flavor is added and is seen by CloudForms without a manual refresh.

Additional info:
Found when testing with OpenStack, but may also happen with other Cloud Providers.

Comment 2 Ladislav Smola 2017-11-29 12:09:42 UTC
Marek: this is missing event handler (+targeted refresh at best). We take these as RFE usually?

Comment 3 Marek Aufart 2017-11-29 13:11:48 UTC
It looks to me, that we don't receive flavor-related events from OpenStack.

Tested on my lab machine with OSP12, see http://paste.openstack.org/show/627710/

Could we confirm if these events (e.g. compute.flavor.create) are emitted by OpenStack compute?

Comment 4 Ladislav Smola 2017-11-29 15:56:46 UTC
Even if we are getting the event, we are not parsing any target out of it. So we should extend the parser to be able to parse targets from all known events (with specs)

https://github.com/Ladas/manageiq-providers-openstack/blob/be452942cdb28da4434b53f603ea3aec2ca83035/app/models/manageiq/providers/openstack/cloud_manager/event_target_parser.rb#L23

Comment 5 Sam Lucidi 2018-03-09 00:00:09 UTC
I can't seem to find an event definition for flavors, and my overcloud doesn't emit any events for them either (which is usually how I find them when I can't find an event definition in documentation elsewhere). Ladislav, do you know if there is a definition for flavor events somewhere that I can use to update the parser?

Comment 6 Ladislav Smola 2018-03-09 08:00:54 UTC
I have no knowledge of the flavor events. Without events, there is periodical full refresh that will discover it. Other way could be that we will queue a flavor targeted refresh after we create it in CloudForms

Comment 11 Sam Lucidi 2018-08-08 19:24:25 UTC
Openstack does not appear to emit notifications for flavor events, so there's nothing we can do on the Cloudforms side. Closing.


Note You need to log in before you can comment on or make changes to this bug.